<?php

use Dolphy\Plugin\Template\Controller;

defined('DOLPHY_PLUGIN') or die('Access Denied!');

Controller::init();

add_action('dolphy_template', function (Controller $ctrl) {
  $ctrl->addPage(DOLPHY_SIGNIN_PATH, 'Sign In', 'access/signin.php');
  $ctrl->addPage(DOLPHY_SIGNUP_PATH, 'Sign Up', 'access/signup.php');
  $ctrl->addPage(DOLPHY_VERIFYEMAIL_PATH, 'Verify Email', 'access/verify-email.php');
  $ctrl->addPage(DOLPHY_FORGOTPASSWORD_PATH, 'Forgot Password', 'access/forgot-password.php');
  $ctrl->addPage(DOLPHY_RESETPASSWORD_PATH, 'Reset Password', 'access/reset-password.php');

  // Ajax Template
  $ctrl->addPage(DOLPHY_AJAX_PATH, '', 'ajax.php');
});
